Create a host
curl --request POST \
--url https://{command_center_host}/api/v1/hosts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "<string>",
"name": "<string>",
"public_ip": null,
"private_ip": null,
"ip_connect_mode": "auto",
"additional_names": [],
"target_type": "ssh",
"target_port": null,
"skip_tls_verify": false,
"knowledge": null,
"tags": [],
"jump_host_ids": [],
"is_jump_host": false,
"jump_host_username_credential_id": null,
"jump_host_secret_credential_id": null,
"eligible_subnets": []
}
'import requests
url = "https://{command_center_host}/api/v1/hosts"
payload = {
"org_id": "<string>",
"name": "<string>",
"public_ip": None,
"private_ip": None,
"ip_connect_mode": "auto",
"additional_names": [],
"target_type": "ssh",
"target_port": None,
"skip_tls_verify": False,
"knowledge": None,
"tags": [],
"jump_host_ids": [],
"is_jump_host": False,
"jump_host_username_credential_id": None,
"jump_host_secret_credential_id": None,
"eligible_subnets": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
org_id: '<string>',
name: '<string>',
public_ip: null,
private_ip: null,
ip_connect_mode: 'auto',
additional_names: [],
target_type: 'ssh',
target_port: null,
skip_tls_verify: false,
knowledge: null,
tags: [],
jump_host_ids: [],
is_jump_host: false,
jump_host_username_credential_id: null,
jump_host_secret_credential_id: null,
eligible_subnets: []
})
};
fetch('https://{command_center_host}/api/v1/hosts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "hst_8272f9b4-3c1e-4a2b-9f0d-1e2c3b4a5d6e",
"name": "web-01",
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"public_ip": "<string>",
"private_ip": "10.0.4.12",
"ip_connect_mode": "auto",
"target_type": "ssh",
"target_port": 123,
"skip_tls_verify": true,
"additional_names": [
"<string>"
],
"tags": [
"os:linux",
"type:web"
],
"knowledge": "<string>",
"is_jump_host": true,
"jump_host_ids": [
"<string>"
],
"jump_host_username_credential_id": "<string>",
"jump_host_secret_credential_id": "<string>",
"eligible_subnets": [
"<string>"
],
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z",
"unique_id": "<string>",
"external_id": "<string>",
"mac": "<string>",
"enrichment_source": "<string>"
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Hosts
Create a host
Success is 200, not 201. Host names are not enforced unique.
POST
/
api
/
v1
/
hosts
Create a host
Authorizations
An API key minted in Command Center (Settings -> API Keys), sent as Authorization: Bearer 2501_ak_.... A Command Center session cookie is also accepted.
Body
application/json
Required string length:
1 - 255Available options:
auto, public, private Required string length:
1 - 255Available options:
ssh, winrm Required range:
1 <= x <= 65535Maximum array length:
5Maximum array length:
64Response
The created host
Example:
"hst_8272f9b4-3c1e-4a2b-9f0d-1e2c3b4a5d6e"
Example:
"web-01"
Example:
"org_460b541c-..."
Example:
"ten_115bea44-..."
Example:
"10.0.4.12"
Available options:
auto, public, private Available options:
ssh, winrm Example:
["os:linux", "type:web"]
Example:
"2026-08-26T10:00:26.380Z"
Example:
"2026-08-26T10:00:26.380Z"
⌘I

